Skip to main content
GET
/
alpha
/
borrow
/
portfolio
/
positions
/
{userAddress}
List borrow positions
curl --request GET \
  --url https://api.vaults.fyi/alpha/borrow/portfolio/positions/{userAddress} \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "marketId": "<string>",
      "name": "<string>",
      "network": {
        "chainId": 123,
        "networkCaip": "<string>"
      },
      "protocol": {
        "name": "<string>",
        "product": "<string>",
        "version": "<string>"
      },
      "userAddress": "<string>",
      "assets": [
        {
          "asset": {
            "address": "<string>",
            "assetCaip": "<string>",
            "name": "<string>",
            "symbol": "<string>",
            "decimals": 123,
            "assetPriceInUsd": "<string>",
            "assetGroup": "<string>",
            "assetLogo": "<string>"
          },
          "collateralEnabled": true,
          "balanceNative": "<string>",
          "balanceUsd": 1,
          "suppliedNative": "<string>",
          "suppliedUsd": 1,
          "borrowedNative": "<string>",
          "borrowedUsd": 1
        }
      ],
      "ltv": 1,
      "healthFactor": 1
    }
  ],
  "errors": {
    "unsupportedNetworks": [
      "<string>"
    ],
    "unsupportedAssets": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

Address of the user whose borrow market positions are requested

Pattern: ^0x[a-fA-F0-9]{40}$

Query Parameters

allowedNetworks
enum<string>[]

Networks to be included by canonical network slug.

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink
disallowedNetworks
enum<string>[]

Networks to be excluded by canonical network slug. Ignored if allowedNetworks is specified.

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink
allowedAssets
string[]

Assets to be included by symbol, name, or address.

Minimum string length: 1
disallowedAssets
string[]

Assets to be excluded by symbol, name, or address. Ignored if allowedAssets is specified.

Minimum string length: 1
minUsdAssetValueThreshold
number
default:1

Minimum USD value of a supplied or borrowed market asset to be included

Required range: x >= 0
sortBy
enum<string>

Field to sort by.

Available options:
balanceUsd
sortOrder
enum<string>
default:asc

Sort order, either asc or desc. Ascending is default.

Available options:
asc,
desc

Response

Default Response

data
object[]
required
errors
object
required